Subject: Re: bug#40502: 28.0.50; Hangul Jamo conjoining characters are not composed
From: Robert Pluim <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Wed, 08 Apr 2020 12:11:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

>>>>> On Wed, 08 Apr 2020 12:55:19 +0300, Eli Zaretskii <[email-masked]> said:

    >> From: Robert Pluim <[email-masked]>
    >> Date: Wed, 08 Apr 2020 11:28:25 +0200
    >> 
    >> According to Unicode 13 Chapter 18.6, Hangul Jamo characters should be
    >> composed into the corresponding pre-composed Hangul characters. Iʼm
    >> not seeing this, e.g
    >> 
    >> 하 (U+1112 U+1161) should be displayed as 하 (U+D558), but is shown as
    >> two separate glyphs (all using Apple SD Gothic Neo)

    Eli> I hope I've just fixed that on the master branch, please take a look.

Yes, on both macOS and GNU/Linux, including the three character
variant (I tested with U+1112 U+1161 U+11AB).

    >> (set-char-table-range composition-function-table
    >> #x1112
    >> (list (vector "..")
    >> 0
    >> 'compose-gstring-for-graphic))
    >> 
    >> does not help.

    Eli> The call is incorrect: 'vector' should include both 0 and the function
    Eli> symbol.

Yes. I misread the docstring of composition-function-table rather than
copying the correct call I had sitting in a buffer already.

Closing.

Robert